# Compaq TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents | Index

# SHOW HOST

> Displays information from the hosts database.

> If the BIND resolver is enabled, information from the BIND database is also displayed.

> Related commands: SET HOST

## Format

> SHOW HOST [ host ]
> [ /ADDRESS=IP_address ]
> [ /DOMAIN=domain ]
> [ /LOCAL ]
> [ /OUTPUT=file ]
> [ /SERVER=server ]

### restrictions

> Requires read access to the hosts database.

## Parameters

> ### host

> Optional. Default: All hosts.

> All alias names for the specified host are displayed.

> - If a host has more than one IP address and you specify the name, all its addresses and aliases are displayed.
> - If a host has multiple IP addresses and you specify an alias that is defined on multiple IP addresses, only the first IP address and aliases are displayed.
> - If you do not specifiy the host parameter or if you use a wildcard, all hosts from the local and BIND databases are displayed.
> - If you use a wildcard to complete a host name, no BIND information is displayed.
> - If you specify a host, entries are displayed first from the local hosts database, if they exist; otherwise, entries from the BIND database are displayed, if they exist.

## Qualifiers

> ### /ADDRESS=IP_address

> Optional. Default: None.

> Allows you to select a host by IP address.

> - If a host has more than one IP address and you specify the name, all IP addresses and aliases for the host are displayed.
> - If a host has multiple IP addresses and you specify an alias that is defined on multiple IP addresses, only the first IP address and aliases are displayed.
> - Recommended: Use the host parameter instead of this qualifier.

> ### /DOMAIN=domain

> Optional. Default: Name service domain.

> Domain to be used by the local host. However, the definition of the domain name is valid only during the execution of the current SHOW HOST command. The BIND request is sent to the specified domain.

> ### /LOCAL

> Optional.

> Limits name-to-address lookups to the local hosts database.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Specifies a file for the output of the SHOW HOST command.

> ### /SERVER=server

> Optional. Default: Name server list.

> BIND servers to be used. The definition of the server name list is valid only during the execution of the current SHOW HOST command. The request is sent to the specified server.

> The list is ordered by request preference. For example, the initial request is sent to the first host in the list. If that host is unavailable, the request is sent to the second host in the list, and so on.

> You can specify a maximum of three servers.

##

### Examples

#1
    TCPIP> SHOW HOST /LOCAL

         LOCAL database

    Host address    Host name

    11.180.6.60    aa80z, AA80Z
    11.180.4.1     abbss.zz3.ddd.com, abbss, ABBSS, ab, a
    11.180.6.8     alibam, ALIBAM, alb
    11.180.5.5     alLpin, ALLPIN, allpine.zz3.ddd.com
    11.180.6.30    amfer, AMFER
    11.180.6.2     ankles, ANKLES
    11.180.6.73    auntie, AUNTIE, maitai
      .
      .
      .
    11.180.4.200   zlepin, ZLEPIN
    11.180.20.1    zooley, ZOOLEY, zoo
    11.180.6.37    zxtra, ZXTRA

> The /LOCAL qualifier displays only the hosts in the local database.

#2
    TCPIP> SHOW HOST ABCXYZ

        BIND database

    Server:    128.182.4.164    ZSERVE

    Host address     Host name

    128.180.5.164    ABCXYZ.one.nam.com

> Displays information about a host found in the BIND database. Note that the display includes the name and address of the BIND server that supplied the information.

#3
    TCPIP> SHOW HOST *

> Displays the entire hosts database and BIND database (if the resolver is enabled). In the following examples, host `heron` has the following IP addresses and aliases:

> IP Address | Host | Aliases
> --- | --- | ---
> 100.1 | `heron` | HOST_1A HOST_1B HOST_ALIAS
> 100.2 | `heron` | HOST_2A HOST_2B HOST_ALIAS

#4
    TCPIP> SHOW HOST HERON

> Shows all the IP addresses and aliases for the host HERON.

#5
    TCPIP> SHOW HOST HOST_1A

> Shows IP address 100.1 and the aliases HOST_1A, HOST_1B, and HOST_ALIAS.

#6
    TCPIP> SHOW HOST HOST_ALIAS

> Shows the host and all aliases for addresses 100.1 and 100.2. Shows all the IP addresses and aliases for host `heron` .

# SHOW INTERFACE

> Displays information from the running system for Internet interfaces and pseudointerfaces.

> Related commands: SHOW CONFIGURATION INTERFACE, SET INTERFACE

## Format

> SHOW INTERFACE [ interface ]
> [ /CLUSTER ]
> [ /FULL ]

## Parameters

> ### interface

> Optional. Default: All interfaces.

> Specifies the name of an Internet or pseudo-Internet interface. Examples include ZE0, LO0, QE2, QE3.

## Qualifiers

> ### /CLUSTER

> Optional. Default: None.

> Displays information about the cluster of which the interface is a member.

> ### /FULL

> Optional. Default: Brief description is displayed.

> Displays full information.

##

### Examples

#1
    TCPIP> SHOW INTERFACE DE0 /FULL

    Interface: DE0
       IP_Addr: 126.65.100.102   NETWRK: 255.255.255.0   BRDCST: 126.65.100.255
                   Ethernet_Addr:AA-00-05-CC-2D-2B       MTU: 65535
         Flags: UP BRDCST RUN
                                      RECEIVE        SEND
       Packets                        3817269      595744
          Errors                            0
       Collisions:                          0

> Displays information about interface DE0.

> The flags that can appear in the display include:

> - AMCST---The interface will receive multicast packets.
> - BRDCAST---Indicates the interface supports broadcast messages.
> - DBG---Driver-level debugging is enabled.
> - LOOP---The interface is a loopback mode. Packets transmitted on this interface will be looped back in the driver and not be transmitted out on the network.
> - MCAST---The interface supports multicast packets. However, this does not mean that a multicast address is configured for the interface.
> - NOARP---The interface is not using address resolution protocol (ARP). It will neither transmit nor respond to ARP requests.
> - PFCPY---All packets transmitted on this interface are copied and passed to the packet filter program.
> - PTP--- The interface is point-to-point link. This is a read-only flag that is set by the driver.
> - RUN---Indicates the interface is operational. The driver has allocated resources for the interface and is ready to transmit and receive packets. This option is not applicable to loopback devices, for example, LO0.
> - SMPX---The interface cannot hear its own transmissions.
> - UP---Indicates the interface is enabled for use.
> - VMTU---The interface supports variable maximum transmission unit (MTU) sizes.

# SHOW MAIL

> Displays SMTP queue information.

> Related commands: REMOVE MAIL, SEND MAIL

## Format

> SHOW MAIL [ user ]
> [ /FULL ]
> [ /RECIPIENT[=options] ]
> [ /ENTRY=n ]

### restrictions

> Requires SYSPRV or BYPASS privilege to display information for other users.

## Parameters

> ### user

> Optional. Default: All users.

> Displays SMTP process information of the specified user.

## Qualifiers

> ### /FULL

> Optional. Default: Brief description is displayed.

> Displays detailed information.

> ### /RECIPIENT[=options]

> Optional. Default: ALL.

> Used with /FULL, displays selected recipient classes. Available options include the following:

> ALL | Shows failed, sent, and unsent mail messages.
> FAILED | Shows messages that could not be read for a particular recipient.
> SENT | Shows successful deliveries to a particular recipient.
> UNSENT | Shows messages that are as yet unsent.

> ### /ENTRY=n

> Optional. Default: Your queue entries.

> Displays information about the specified queue entry number.

##

### Examples

#1
    TCPIP> SHOW MAIL

> Displays information about mail messages queued to your process's user name.

#2
    TCPIP> SHOW MAIL /ENTRY=1234

> Displays information about the mail message 1234 in the queue.

#3
    TCPIP> SHOW MAIL /FULL /RECIPIENT=ALL

> Displays detailed information about all mail messages sent by the user of your process's user name.

# SHOW MAP

> Displays the names of mapped (logically linked) file systems, also called NFS file systems.

> Applies to: NFS server

> Related commands: MAP, UNMAP, ADD EXPORT, SHOW EXPORT, REMOVE EXPORT, SET CONFIGURATION MAP, SET CONFIGURATION NOMAP, SHOW CONFIGURATION MAP

## Format

> SHOW MAP [ /path/name ]

## Parameters

> ### /path/name

> Optional.

> Name of the file system (the first element of the UNIX file specification).

##

### Examples

#1
    TCPIP> SHOW MAP

                Dynamic Filesystem Map
    Pathname                                Logical File System

    /water     USER$DKC100:
    /water                                  USER$DKC100:[WATER]
    /duck/pond                              USER$DKC100:[DUCK.POND.TEAL]

    TCPIP>

> Displays all mapped file systems.

#2
    TCPIP> SHOW MAP "/bird"

                Dynamic Filesystem Map
    Pathname                                Logical File System

    /bird                                   $1$DUA7:
    TCPIP>

> Lists mapped file system `/bird` .

# SHOW MOUNT

> Displays a list of mounted directories at all mount points or at a particular mount point.

> Related commands: MOUNT, DISMOUNT

## Format

> SHOW MOUNT [ device ]
> [ /ALL ]
> [ /FULL ]
> [ /HOST=host ]

## Parameters

> ### device

> Optional. Default: All mounted file systems.

> Local device for which to display mount information. Specify one of the following:

> - DNFSn: --- the full NFS device name and directory tree, for example, DNFS3:[USER.NOTES]
> - Volume label
> - Logical name for the device

> You can use abbreviations and wildcards.

## Qualifiers

> ### /ALL

> Optional.

> If you also specify device, displays information for all NFS server hosts with mounted file systems on this device.

> If you do not specify device, displays information for all NFS server hosts with mounted file systems on any device.

> Not valid with /HOST.

> ### /FULL

> Optional. Default: Brief description is displayed.

> Displays the full, current operating parameters related to each mount.

> ### /HOST=host

> Optional. Default: All NFS servers with file systems currently mounted.

> NFS server on which the physical files reside.

> Not valid with /ALL.

##

### Examples

#1
    TCPIP> SHOW MOUNT

    _DNFS1:[000000]  automount (inactivity timer  0 00:23:00.00), mounted
            SIGMA.PROCESS.COM:/usr
    _DNFS2:[000000]  mounted
            IRIS.PROCESS.COM:/usr/users

> Shows the characteristics of all mounted file systems on all local NFS devices.

#2
    TCPIP> SHOW MOUNT DNFS3: /ALL

    _DNFS3:[A.B]  mounted
            SIGMA.PROCESS.COM:/usr
    _DNFS3:[A.C]  mounted
            SIGMA.PROCESS.COM:/work

> Shows the characteristics of all mounted file systems on local device DNFS3:.

# SHOW MX_RECORD

> Displays SMTP routing information. If you omit destination, you see the entries in the local Mail Exchange (MX) database. If you specify destination, you see all the entries in all the databases that TCP/IP Services would look at, if necessary, to resolve the address.

> To send mail, SMTP looks up addresses in one or more databases (if necessary) in the following order:

> 1. Local MX databse
> 2. Remote MX database
> 3. BIND server database
> 4. Local hosts database

> Related command: SET MX_RECORD

## Format

> SHOW MX_RECORD [ destination ]
> [ /GATEWAY=host ]
> [ /OUTPUT=file ]

## Parameters

> ### destination

> Optional. Default: All entries in the local MX database.

> Final destination host name.

## Qualifiers

> ### /GATEWAY=host

> Optional. Default: All destinations.

> Displays the destinations that are accessed through the specified gateway.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Sends the output to the specified file.

##

### Examples

#1
    TCPIP> SHOW MX_RECORD SWAN

                                  BIND MX database

    Server:          18.18.218.10     GREAT.HORNED.OWL.COM

    Gate address     Preference       Gate name

    18.18.218.10     50               WATER.PIPIT.WEBBED.FEET.COM
    18.1.218.16      100              bd-gw.purple.martin.com
    188.88.206.2     200              great.horned.owl.com
    199.9.214.1      300              bird.food.seeds.worms.com

                                  BIND database

    Server:          18.18.218.10     WATER.PIPIT.WEBBED.FEET.COM

    Host address                      Host name

    18.18.100.10                      SWAN.WEBBED.FEET.COM

> Displays, in order of preference, the routing hops to reach host SWAN if an attempt fails. The local host tries to route through:

> 1. `WATER.PIPIT.WEBBED.FEET.COM`
> 2. `bd-gw.purple.martin.com`
> 3. `great.horned.owl.com`
> 4. `bird.food.seeds.worms.com`

> Both the alternate gateway and the zone affect how SMTP determines where to relay nonlocal mail.

> MX records tell mailers where to relay mail that is destined for a given host. In the display:

> - The `Gate name` field tells where to relay the mail.
> - The `Gate address` field gives the gateway's IP address.
> - The `Preference` field gives each MX record a precedence. A lower preference number means a higher precedence.

#2
    TCPIP> SHOW MX_RECORD CROW.COM

                                 BIND MX database

    Server:          18.18.218.10     WATER.PIPIT.WEBBED.FEET.COM

    Gate address     Preference       Gate name

    159.228.12.253   1                cawcaw.crow.com
    159.228.12.254   2                scare.crow.com
    TCPIP>

> Displays the MX record for destination host `crow.com` . In the display:

> - The `Gate name` field tells where to relay the mail.
> - The `Gate address` field gives the gateway's IP address.
> - The `Preference` field gives each MX record a precedence. A lower preference number means higher precedence.

> In this example, the local host name is WATER, the alternate gateway is `scare.crow.com` , and the zone is `crow.com` . The first preference for delivering mail to `crow.com` is to send to `cawcaw.crow.com` .

> If you have not defined an alternate gateway, SMTP tries to relay the mail to `scare.crow` at IP address 158.228.12.253. It uses the MX records to determine the host to which to relay mail. SMTP tries to relay the mail to each gateway host, in order of preference, until it either successfully transfers the mail or runs out of MX records to try. If there is no alternate gateway, the zone is not used.

> If you have defined an alternate gateway, SMTP goes through the list of MX records, but it does not automatically try to relay the mail directly to the gateway. SMTP checks whether the gateway host name is outside or inside the SMTP zone (as defined with SET SMTP CONFIGURATION). If the gateway is inside the SMTP zone, SMTP tries to relay the mail directly to the gateway host. If the gateway is outside the zone, SMTP sends the mail to the alternate gateway.

# SHOW NAME_SERVICE

> Logs information about the BIND resolver.

> Related commands: SET NAME_SERVICE, SHOW CONFIGURATION NAME_SERVICE

## Format

> SHOW NAME_SERVICE

> [ /STATISTICS ]

## Qualifiers

> ### /STATISTICS

> Optional.

> Dumps statistics to the log file TCPIP$BIND_SERVER_STATISTICS.LOG. In previous versions of the TCP/IP Services product, this qualifier displayed statistical information on the screen.

##

### Examples

#1
    TCPIP> SHOW NAME_SERVICE

    BIND Resolver Parameters

     Local domain: TCPIP.OWL.ROC.COM

     System

      State:     Started, Enabled

      Transport: UDP
      Domain:    tcpip.owl.roc.com
      Retry:     4
      Timeout:   4
      Servers:   LOCALHOST, tcpip.owl.roc.com

     Process

      State:     Started, Enabled

      Transport: UDP
      Domain:    11.180.34.3
      Retry:     4
      Timeout:   4
      Servers:   LOCALHOST, lark, crow.moa.awk.com
    TCPIP>

> Shows systemwide and process-specific parameter settings for the BIND resolver.

#2
    TCPIP> SHOW NAME_SERVICE /STATISTICS

> Logs current BIND server statistics to the file TCPIP$BIND_SERVER_STATISTICS.LOG. The following sample shows such a log file.

>     +++ Statistics Dump +++ (922292822) Wed Mar 24 11:27:02
>     34250   time since boot (secs)
>     15670   time since reset (secs)
>     12      Unknown query types
>     20000   A queries
>     540     SOA queries
>     2399    MX queries
>     867     ANY queries
>     3       AXFR queries

>     ++ Name Server Statistics ++
>     (Legend)
>             RR      RNXD    RFwdR   RDupR   RFail
>             RFErr   RErr    RAXFR   RLame   ROpts
>             SSysQ   SAns    SFwdQ   SDupQ   SErr
>             RQ      RIQ     RFwdQ   RDupQ   RTCP
>             SFwdR   SFail   SFErr   SNaAns  SNXD
>     (Global)
>             2 0 0 0 0  0 0 0 0 0  2 0 0 0 0  0 0 0 0 5  0 0 0 0 0
>     -- Name Server Statistics --
>     ++ Memory Statistics ++
>           3:           9 gets,           2 rem
>           4:           7 gets,           0 rem (1 bl, 1022

>           5:          16 gets,           1 rem
>           6:           7 gets,           5 rem
>           7:          10 gets,           5 rem
>           8:          97 gets,          16 rem (1 bl, 485 ff)
>          13:           6 gets,           4 rem
>     .
>     .
>     .
>         664:           5 gets,           1 rem (1 bl, 5 ff)
>         732:           2 gets,           0 rem (1 bl, 5 ff)
>        1040:           1 gets,           1 rem (1 bl, 2 ff)
>     >= 1100:          23 gets,           9 rem
>     -- Memory Statistics --
>     --- Statistics Dump --- (907337687) Fri Jan 2  10:14:47 1999

Previous | Next | Contents | Index